# -*- coding: utf-8 -*-

from gui import msgError, osmView, mainWindow
from RoadCentre import plugins

if hasattr(plugins, 'RadarPlugin'):
    if not hasattr(plugins, 'JsonRpcClientPlugin'):
        msgError('Отсутствует необходимый для запуска модуль "JsonRpcClientPlugin"')
    else:
        plugins.RadarPlugin.setView(osmView)
        from radar import on_rpc_object_connected
        plugins.JsonRpcClientPlugin.rpcObjectConnected.connect(on_rpc_object_connected)
        if hasattr(plugins, 'Net329gPlugin'):
            plugins.RadarPlugin.setNet329Plugin(plugins.Net329gPlugin)
        pluginsMenu=mainWindow.findChild('QMenu','menuPlugins')
        if pluginsMenu is not None:
            from radar import show_settings_dialog
            pluginsMenu.addAction(u'Радары').connect('triggered()',show_settings_dialog)

